-- ----------------------------------------------------------------------------
-- AddOn namespace
-- ----------------------------------------------------------------------------
local AddOnFolderName, private = ...
local Maps = private.Data.Maps
local MapID = private.Enum.MapID

-- ----------------------------------------------------------------------------
-- Dazar'alor
-- ----------------------------------------------------------------------------
Maps[MapID.Dazaralor].NPCs = {
	[120899] = true, -- Kul'krazahn
	[122639] = true, -- Old R'gal
	[125816] = true, -- Sky Queen
}

-- ----------------------------------------------------------------------------
-- Nazmir
-- ----------------------------------------------------------------------------
Maps[MapID.Nazmir].NPCs = {
	[121242] = true, -- Glompmaw
	[124375] = true, -- Overstuffed Saurolisk
	[124397] = true, -- Kal'draxa
	[124399] = true, -- Infected Direhorn
	[124475] = true, -- Shambling Ambusher
	[125214] = true, -- Krubbs
	[125232] = true, -- Captain Mu'kala
	[125250] = true, -- Ancient Jawbreaker
	[126056] = true, -- Totem Maker Jash'ga
	[126142] = true, -- Bajiatha
	[126187] = true, -- Corpse Bringer Yal'kar
	[126460] = true, -- Tainted Guardian
	[126635] = true, -- Blood Priest Xak'lar
	[126907] = true, -- Wardrummer Zurula
	[126926] = true, -- Venomjaw
	[127001] = true, -- Gwugnug the Cursed
	[127820] = true, -- Scout Skrasniss
	[127873] = true, -- Scrounger Patriarch
	[128426] = true, -- Gutrip
	[128584] = true, -- Vugthuth
	[128578] = true, -- Zujothgul
	[128610] = true, -- Maw of Shul-Nagruth
	[128930] = true, -- Rohnkor
	[128935] = true, -- Mala'kili
	[128965] = true, -- Uroku the Bound
	[128974] = true, -- Queen Tzxi'kik
	[129005] = true, -- King Kooba
	[129657] = true, -- Za'amar the Queen's Blade
	[132701] = true, -- T'zane
	[133373] = true, -- Jax'teb the Reanimated
	[133505] = true, -- Aiji the Accursed
	[133527] = true, -- Juba the Scarred
	[133531] = true, -- Xu'ba
	[133539] = true, -- Lo'kuno
	[135565] = true, -- Guardian of Agussu
	[133812] = true, -- Zanxib
	[134002] = true, -- Underlord Xerxiz
	[134293] = true, -- Azerite-Infused Slag
	[134294] = true, -- Enraged Water Elemental
	[134296] = true, -- Lucille
	[134298] = true, -- Azerite-Infused Elemental
	[143311] = true, -- Toadcruel
	[143316] = true, -- Skullcap
	[143898] = true, -- Makatau
}

-- ----------------------------------------------------------------------------
-- Vol'dun
-- ----------------------------------------------------------------------------
Maps[MapID.Voldun].NPCs = {
	[124722] = true, -- Commodore Calhoun
	[127776] = true, -- Scaleclaw Broodmother
	[128497] = true, -- Bajiani the Slick
	[128553] = true, -- Azer'tor
	[128674] = true, -- Gut-Gut the Glutton
	[128686] = true, -- Kamid the Trapper
	[128951] = true, -- Nez'ara
	[129027] = true, -- Golanar
	[129180] = true, -- Warbringer Hozzik
	[129283] = true, -- Jumbo Sandsnapper
	[129411] = true, -- Zunashi the Exile
	[129476] = true, -- Bloated Krolusk
	[130401] = true, -- Vathikur
	[130439] = true, -- Ashmane
	[130443] = true, -- Hivemother Kraxi
	[133843] = true, -- First Mate Swainbeak
	[134571] = true, -- Skycaller Teskris
	[134625] = true, -- Warmother Captive
	[134638] = true, -- Warlord Zothix
	[134643] = true, -- Brgl-Lrgl the Basher
	[134694] = true, -- Mor'fani the Exile
	[134745] = true, -- Skycarver Krakit
	[135852] = true, -- Ak'tar
	[136304] = true, -- Songstress Nahjeen
	[136323] = true, -- Fangcaller Xorreth
	[136335] = true, -- Enraged Krolusk
	[136336] = true, -- Scorpox
	[136338] = true, -- Sirokar
	[136340] = true, -- Relic Hunter Hazaak
	[136341] = true, -- Jungleweb Hunter
	[136346] = true, -- Captain Stef "Marrow" Quin
	[136393] = true, -- Bloodwing Bonepicker
	[137553] = true, -- General Krathax
	[137681] = true, -- King Clickyclack
	[138794] = true, -- Dunegorger Kraulok
	[143313] = true, -- Portakillo
}

-- ----------------------------------------------------------------------------
-- Uncharted Island
-- ----------------------------------------------------------------------------
Maps[MapID.UnchartedIsland].NPCs = {
	[138948] = true, -- Akakakoo
}

-- ----------------------------------------------------------------------------
-- Zuldazar
-- ----------------------------------------------------------------------------
Maps[MapID.Zuldazar].NPCs = {
	[122004] = true, -- Umbra'jin
	[123502] = true, -- King K'tal
	[124185] = true, -- Golrakahn
	[126637] = true, -- Kandak
	[127939] = true, -- Torraske the Eternal
	[128699] = true, -- Bloodbulge
	[129323] = true, -- Sabertusk Empress
	[129343] = true, -- Avatar of Xolotal
	[129954] = true, -- Gahz'ralka
	[129961] = true, -- Atal'zul Gotaka
	[130643] = true, -- Twisted Child of Rezan
	[130741] = true, -- Nol'ixwan
	[131233] = true, -- Lei-zhi
	[131476] = true, -- Zayoos
	[131687] = true, -- Tambano
	[131704] = true, -- Coati
	[131718] = true, -- Bramblewing
	[132244] = true, -- Kiboku
	[132253] = true, -- Ji'arak
	[133155] = true, -- G'Naat
	[133163] = true, -- Tia'Kawan
	[133190] = true, -- Daggerjaw
	[133842] = true, -- Warcrawler Karkithiss
	[134048] = true, -- Vukuba
	[134637] = true, -- Headhunter Lee'za
	[134717] = true, -- Umbra'rix
	[134738] = true, -- Hakbi the Risen
	[134760] = true, -- Darkspeaker Jo'la
	[134782] = true, -- Murderbeak
	[135510] = true, -- Azuresail the Ancient
	[139365] = true, -- Queenfeather
	[135512] = true, -- Thunderfoot
	[136413] = true, -- Syrawon the Dominus
	[136428] = true, -- Dark Chronicler
	[143314] = true, -- Bane of the Woods
	[143536] = true, -- High Warlord Volrath
	[143910] = true, -- Sludgecrusher
}
